@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2004 INRIA & USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Marc Navarro (mnavarro@wins.uva.nl),
rem #                       Philippe Merle.
rem # Contributor(s): Christophe Demarey.
rem #
rem # ====================================================================
rem #
rem # Stopping the OpenCCM Interface Repository.
rem #
rem # ====================================================================

setlocal

rem # Check if the OpenCCM Interface Repository is already started.
if exist "%OpenCCM_CONFIG_DIR%\IR3.PID" goto :ir_started
echo Error: The OpenCCM Interface Repository is not started!
goto :eof

:ir_started
echo The OpenCCM Interface Repository will be stopped.

rem # Shutdown the OpenCCM IR3 process.
rem call "%OpenCCM_HOMEDIR%\bin\shutdown" "file:%OpenCCM_CONFIG_DIR%\IR3.IOR"
kill "F%OpenCCM_CONFIG_DIR%\IR3.PID"

rem Remove the associated files.
del "%OpenCCM_CONFIG_DIR%\IR3.PID"
del "%OpenCCM_CONFIG_DIR%\IR3.IOR"
del "%OpenCCM_CONFIG_DIR%\IR3.output"
rem del "%OpenCCM_CONFIG_DIR%\IR3.output.tmp"

echo The OpenCCM Interface Repository is stopped.
